Admit a batch manifest and queue its items
Authorization
BrowserWorkflowApiKey batches:writeX-API-Key<token>
Project- and environment-scoped browser workflow API key.
In: header
Scope: batches:write
Path Parameters
projectId*string
Format
uuidenvironmentId*string
Format
uuidworkflowId*string
Format
uuidHeader Parameters
Idempotency-Key?string
Optional. When omitted, the server generates a unique internal key for this submission.
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/browser/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflows/497f6eca-6276-4993-bfeb-53cbbbba6f08/batches" \ -H "Content-Type: application/json" \ -d '{ "workflow_version_id": "60bab57e-9f59-448d-bef4-a6fd602db8a4", "items": [ {} ] }'Empty